Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.metadata
Class JDBCOptimisticLockingMetaData

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.metadata.JDBCOptimisticLockingMetaData

public final class JDBCOptimisticLockingMetaData
extends Object

Optimistick locking metadata

Version:
  $Revision: 1.7 $
Author:
  Alex Loubyansky

Field Summary
`static Integer` | `FIELD_GROUP_STRATEGY`
`static Integer` | `KEYGENERATOR_COLUMN_STRATEGY`
`static Integer` | `MODIFIED_STRATEGY`
`static Integer` | `READ_STRATEGY`
`static Integer` | `TIMESTAMP_COLUMN_STRATEGY`
`static Integer` | `VERSION_COLUMN_STRATEGY`

Constructor Summary
`JDBCOptimisticLockingMetaData(JDBCEntityMetaData entityMetaData, Element element)` Constructs optimistic locking metadata reading optimistic-locking XML element

Method Summary
`String` | `getGroupName()`
`String` | `getKeyGeneratorFactory()`
`JDBCCMPFieldMetaData` | `getLockingField()`
`Integer` | `getLockingStrategy()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FIELD_GROUP_STRATEGY

    public static final Integer FIELD_GROUP_STRATEGY

### MODIFIED_STRATEGY

    public static final Integer MODIFIED_STRATEGY

### READ_STRATEGY

    public static final Integer READ_STRATEGY

### VERSION_COLUMN_STRATEGY

    public static final Integer VERSION_COLUMN_STRATEGY

### TIMESTAMP_COLUMN_STRATEGY

    public static final Integer TIMESTAMP_COLUMN_STRATEGY

### KEYGENERATOR_COLUMN_STRATEGY

    public static final Integer KEYGENERATOR_COLUMN_STRATEGY

Constructor Detail

### JDBCOptimisticLockingMetaData

    public JDBCOptimisticLockingMetaData(JDBCEntityMetaData entityMetaData,
                                         Element element)
                                  throws org.jboss.deployment.DeploymentException

  Constructs optimistic locking metadata reading optimistic-locking XML element

Method Detail

### getLockingStrategy

    public Integer getLockingStrategy()

### getGroupName

    public String getGroupName()

### getLockingField

    public JDBCCMPFieldMetaData getLockingField()

### getKeyGeneratorFactory

    public String getKeyGeneratorFactory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.